Attribute VB_Name = "Eic325PciDll"
' Declare's for the EIC325PCI.DLL functions:

Declare Sub SetActive Lib "EIC325PCI" (ByVal Active As Integer)
Declare Function GetActive Lib "EIC325PCI" () As Integer
Declare Function GetCardHandle Lib "EIC325PCI" (ByRef CardHandle As Long, ByVal CardIndex As Integer) As Integer
Declare Function GetRevisionID Lib "EIC325PCI" (ByVal CardHandle As Long, ByRef RevisionID As Integer) As Integer
Declare Function SetLed Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal LedNumber As Integer, ByVal OnOffMode As Integer) As Integer
Declare Function GetLed Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal LedNumber As Integer, ByRef OnOffMode As Integer) As Integer
Declare Function SetActiveChip Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal ChipNumber As Integer) As Integer
Declare Function GetActiveChip Lib "EIC325PCI" (ByVal CardHandle As Long, ByRef ChipNumber As Integer) As Integer
Declare Function TestActiveChip Lib "EIC325PCI" (ByVal CardHandle As Long) As Integer
Declare Function ReadInputs Lib "EIC325PCI" (ByVal CardHandle As Long, ByRef Inputs As Integer, ByRef EncoderEventFlags As Integer) As Integer
Declare Function WriteOutputs Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal Outputs As Integer) As Integer
Declare Function SetEncoderResolution Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByVal ClocksPerCycle As Integer) As Integer
Declare Function GetEncoderResolution Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByRef ClocksPerCycle As Integer) As Integer
Declare Function SetIndexPulsePolarity Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByVal Polarity As Integer) As Integer
Declare Function GetIndexPulsePolarity Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByRef Polarity As Integer) As Integer
Declare Function SetIndexResetsPositionCounter Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByVal EnabledDisabledMode As Integer) As Integer
Declare Function GetIndexResetsPositionCounter Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByRef EnabledDisabledMode As Integer) As Integer
Declare Function SetSetPoint Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByVal SetPoint As Long) As Integer
Declare Function GetSetPoint Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByRef SetPoint As Long) As Integer
Declare Function SetEncoderEventFlagSource Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByVal EventFlagSource As Integer) As Integer
Declare Function GetEncoderEventFlagSource Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByRef EventFlagSource As Integer) As Integer
Declare Function SetEncoderEventFlagPolarity Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByVal Polarity As Integer) As Integer
Declare Function GetEncoderEventFlagPolarity Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByRef Polarity As Integer) As Integer
Declare Function SetHoldEncoderEventFlag Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByVal OnOffMode As Integer) As Integer
Declare Function GetHoldEncoderEventFlag Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByRef OnOffMode As Integer) As Integer
Declare Function ClearEncoderEventFlag Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer) As Integer
Declare Function ResetPositionCounter Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByVal OutputsMirror As Integer) As Integer
Declare Function RequestPositionCounter Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByVal OutputsMirror As Integer) As Integer
Declare Function ReadPositionCounter Lib "EIC325PCI" (ByVal CardHandle As Long, ByVal EncoderNumber As Integer, ByRef PositionCounter As Long) As Integer

